Help us improve Answers HQ! Take Survey No, Thanks

can't install the latest browser plugin to play the game

by bf001213
Reply

Original Post

can't install the latest browser plugin to play the game

★★★★ Newbie
 
Message 1 of 7 (1,960 Views)
Reply
0

Re: can't install the latest browser plugin to play the game

★★ Newbie

same here i get no Download Link Confusedmileymad:

Message 2 of 7 (1,910 Views)
Reply
0

Re: can't install the latest browser plugin to play the game

Hero

Here's the direct downloadlink: http://battlelog-cdn.battlefield.com/cdnprefix/87d309dfc3d9/public/download/battlelog-web-plugins_2....

 

Please accept solutions if they are correct and press the XP button if somebody helped you.This way you help others in the same situation.

Cheers
-Carbonic

Message 3 of 7 (1,895 Views)

Re: can't install the latest browser plugin to play the game

★★★★ Novice

I think the problem is possibly the download has been installed but not registered by the game manager, my son tried to download the update to start with so I did not see what happened the first time he tried. I cannot join any servers to play online. This is becoming annoying.

 

Message 4 of 7 (1,892 Views)
Reply
0

Re: can't install the latest browser plugin to play the game

★★★★ Novice

I tried this solution it installed the file but the BattleLog browser is still asking me to update, when I click to download, the screen changes and no download begins, when I click on the button for if download did not start, the download still does not start. Help please. Cant log onto any multiplayer server because of this it redirects me to install the update. Again Help!

Message 5 of 7 (1,889 Views)
Reply
0

Re: can't install the latest browser plugin to play the game

★★★★ Novice

I don't understand why but battlelog browser only stopped requiring an update on the fourth time I ran the direct download. But thank you as it is working fine now.

Message 6 of 7 (1,883 Views)

Re: can't install the latest browser plugin to play the game

★★★★ Novice

when I downloaded the new plug in it now says that i need windows vista 6 or better is there auyway around this cause now i cant play at all

Message 7 of 7 (456 Views)
Reply
0

Secure your account

Turn on Login Verification to protect your information.

View more on EA Help